#pragma once
#include <map>
struct Fish_GiantSharkCardRewardData
{
	//ID
	int mID;
	//钥匙类型
	int mKeyType;
	//最低金币数量
	int mMinGold;
	//最高金币数
	int mMaxGold;
	//权重
	int mWeight;
};

class Fish_GiantSharkCardReward
{
public:
private:
	static std::auto_ptr<Fish_GiantSharkCardReward> msSingleton;
public:
	int GetCount();
	const Fish_GiantSharkCardRewardData* GetData(int ID);
	const std::map<int, Fish_GiantSharkCardRewardData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_GiantSharkCardReward* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_GiantSharkCardRewardData> mMapData;
};
